Package org.postgresql

# Enum PGEnvironment

java.lang.Object
java.lang.Enum<PGEnvironment>
org.postgresql.PGEnvironment

All Implemented Interfaces:
  `Serializable`, `Comparable<PGEnvironment>`, `java.lang.constant.Constable`

public enum PGEnvironment extends Enum<PGEnvironment>
Some environment variables are intended to have same meaning as libpq describes here: https://www.postgresql.org/docs/current/libpq-envars.html

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ORG_POSTGRESQL_PGPASSFILE`
  Specified location of password file.
  `ORG_POSTGRESQL_PGSERVICEFILE`
  The connection service resource (file, url) allows connection parameters to be associated with a single service name.
  `PGPASSFILE`
  Specified location of password file.
  `PGSERVICEFILE`
  The connection service resource (file, url) allows connection parameters to be associated with a single service name.
  `PGSYSCONFDIR`
  sets the directory containing the PGSERVICEFILE file and possibly other system-wide configuration files.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `@Nullable String`
  `getDefaultValue()`
  Returns the default value for this parameter.
  `String`
  `getDescription()`
  Returns the description for this parameter.
  `String`
  `getName()`
  Returns the name of the parameter.
  `static PGEnvironment`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static PGEnvironment[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ORG_POSTGRESQL_PGPASSFILE

    public static final PGEnvironment ORG_POSTGRESQL_PGPASSFILE
    Specified location of password file.

  - ### PGPASSFILE

    public static final PGEnvironment PGPASSFILE
    Specified location of password file.

  - ### ORG_POSTGRESQL_PGSERVICEFILE

    public static final PGEnvironment ORG_POSTGRESQL_PGSERVICEFILE
    The connection service resource (file, url) allows connection parameters to be associated with a single service name.

  - ### PGSERVICEFILE

    public static final PGEnvironment PGSERVICEFILE
    The connection service resource (file, url) allows connection parameters to be associated with a single service name.

  - ### PGSYSCONFDIR

    public static final PGEnvironment PGSYSCONFDIR
    sets the directory containing the PGSERVICEFILE file and possibly other system-wide configuration files.

- ## Method Details

  - ### values

    public static PGEnvironment[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static PGEnvironment valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getName

    public String getName()
    Returns the name of the parameter.
    Returns:
      the name of the parameter

  - ### getDefaultValue

    public @Nullable String getDefaultValue()
    Returns the default value for this parameter.
    Returns:
      the default value for this parameter or null

  - ### getDescription

    public String getDescription()
    Returns the description for this parameter.
    Returns:
      the description for this parameter